Skip to main content
GET
/
v1
/
suppliers
List suppliers
curl --request GET \
  --url https://register.tariff.interop/v1/suppliers
import requests

url = "https://register.tariff.interop/v1/suppliers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://register.tariff.interop/v1/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "supplier_mpid": "SEBD",
      "url": "https://tariff-api.example-supplier.co.uk/SEBD",
      "display_name": "Cucumber Energy",
      "status": "active",
      "last_modified": "2026-11-01T10:00:00.000Z",
      "support": "tariff-support@example-supplier.co.uk"
    }
  ],
  "meta": {
    "total": 47,
    "limit": 20,
    "offset": 0,
    "next_offset": 20
  }
}
{
"code": "tariff_not_found",
"message": "No tariff found for the given tariff_id and supplier MPID.",
"details": "tariff_id a1b2c3d4-e5f6-7890-abcd-ef1234567890 does not exist for supplier SEBD."
}

Query Parameters

limit
integer
default:20

Maximum number of records to return. Defaults to 20, maximum 100.

Required range: 1 <= x <= 100
Example:

20

offset
integer
default:0

Number of records to skip for pagination. Defaults to 0.

Required range: x >= 0
Example:

0

active
boolean

When true, returns only currently active suppliers.

Example:

true

Response

A list of supplier register entries.

data
object[]
required
meta
object
required

Pagination metadata included in list responses.

Last modified on March 28, 2026